Package com.enonic.xp.security.acl

## Enum Permission

- java.lang.Object
- - java.lang.Enum<Permission>
  - - com.enonic.xp.security.acl.Permission

- All Implemented Interfaces:
    `Serializable`, `Comparable<Permission>`

      @PublicApi
      public enum Permission
      extends Enum<Permission>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CREATE` |
    `DELETE` |
    `MODIFY` |
    `PUBLISH` |
    `READ` |
    `READ_PERMISSIONS` |
    `WRITE_PERMISSIONS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Permission` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Permission[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ

          public static final Permission READ

    - #### CREATE

          public static final Permission CREATE

    - #### MODIFY

          public static final Permission MODIFY

    - #### DELETE

          public static final Permission DELETE

    - #### PUBLISH

          public static final Permission PUBLISH

    - #### READ_PERMISSIONS

          public static final Permission READ_PERMISSIONS

    - #### WRITE_PERMISSIONS

          public static final Permission WRITE_PERMISSIONS

  - ### Method Detail

    - #### values

          public static Permission[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Permission c : Permission.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Permission valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null